Bug 820470 - gpointing-device-settings nonfunctional
gpointing-device-settings nonfunctional
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gpointing-device-settings (Show other bugs)
17
Unspecified Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Dan Mashal
Fedora Extras Quality Assurance
:
Depends On: 914053
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-10 01:16 EDT by Braden McDaniel
Modified: 2013-08-01 12:59 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 12:59:29 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Braden McDaniel 2012-05-10 01:16:28 EDT
Description of problem:
gpointing-device-settings crashes on startup:

$ gpointing-device-settings 
Gtk-Message: Failed to load module "pk-gtk-module"
Could not open HID 0a5c:4503 device.
Could not open HID 0a5c:4503 device.
Could not open HID 0a5c:4503 device.
Could not open HID 0a5c:4503 device.
Could not open HID 0a5c:4503 device.
Segmentation fault (core dumped)


Version-Release number of selected component (if applicable):
1.5.1-7.fc17

How reproducible:
Consistently
Comment 1 Thomas Spura 2012-05-10 05:21:20 EDT
Thanks for the bug report.

Unfortunately, upstream seems pretty dead and I'm considering orphaning this package...

Could you try to get a backtrace anyway?
Maybe this is easy fixable.

You can find more information how to do that here:
http://fedoraproject.org/wiki/StackTraces
Comment 2 Braden McDaniel 2012-05-10 12:33:02 EDT
(gdb) bt full
#0  gpds_xinput_utils_get_device_num_buttons (device_name=<optimized out>, 
    error=error@entry=0x7fffffffddf0) at gpds-xinput-utils.c:82
        device_info = <optimized out>
        class_info = 0x6666666666666666
        i = 0
#1  0x00007ffff115b64b in setup_num_buttons (ui=0x6b1630 [GpdsMouseUI])
    at gpds-mouse-ui.c:311
        list_store = <optimized out>
        i = <optimized out>
        builder = 0x6b1680 [GtkBuilder]
        num_buttons = <optimized out>
        error = 0x0
#2  setup_current_values (ui=0x6b1630 [GpdsMouseUI]) at gpds-mouse-ui.c:422
        xinput_ui = <optimized out>
#3  build (ui=0x6b1630 [GpdsMouseUI], error=<optimized out>)
    at gpds-mouse-ui.c:470
        builder = 0x6b1680 [GtkBuilder]
        xinput = <optimized out>
#4  0x0000000000401e9b in append_ui (icon_view=icon_view@entry=
    0x6a50e0 [GtkIconView], notebook=notebook@entry=0x6ab040 [GtkNotebook], 
    ui=ui@entry=0x6b1630 [GpdsMouseUI]) at gpointing-device-settings.c:106
        widget = 0x0
        error = 0x0
        iter = {stamp = 7025952, user_data = 0x6a3160, user_data2 = 0x0, 
          user_data3 = 0x4021e0}
        pixbuf = <optimized out>
        list_store = <optimized out>
        device_name = <optimized out>
#5  0x0000000000401bcf in append_uis (notebook=0x6ab040 [GtkNotebook], 
    icon_view=0x6a50e0 [GtkIconView]) at gpointing-device-settings.c:168
        info = 0x6a3160
        ui = <optimized out>
        node = 0x68e900 = {0x6a3160, 0x692f60, 0x68e310, 0x681a40, 0x69ca30, 
    0x69cab0, 0x6a9c00}
        loaded_ui_names = 0x68ea40 = {0x6b3520}
#6  main (argc=1, argv=0x7fffffffe058) at gpointing-device-settings.c:257
        dialog = 0x694050 [GtkDialog]
        notebook = <optimized out>
        icon_view = <optimized out>
        builder = 0x68d940 [GtkBuilder]
        error = 0x0
        ui_file_path = <optimized out>
Comment 3 Fedora Admin XMLRPC Client 2013-02-24 05:42:51 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Dan Mashal 2013-03-01 22:59:43 EST
Have you tried the package "mousetweaks"?
Comment 5 Dan Mashal 2013-06-16 08:58:06 EDT
This is working on F18.
Comment 6 Fedora End Of Life 2013-07-04 01:45:52 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2013-08-01 12:59:33 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.